Library Version 18.1.40

DB_ENV->get_region_dir()
Prev | Chapter 8. The DB_MPOOLFILE Handle | Next

## DB_ENV->get_region_dir()

    #include <db.h>

    int
    DB_ENV->get_region_dir(DB_ENV *dbenv, const char **dirp);

The `DB_ENV->get_region_dir()` method returns the region directory, which is the location for the disk-backed region files. You can manage this value using the DB_ENV->set_region_dir() method.

The `DB_ENV->get_region_dir()` method may be called at any time during the life of the application.

The `DB_ENV->get_region_dir()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### dirp

The `DB_ENV->get_region_dir()` method returns a reference to the region directory in dirp.

### Class

DB_ENV, DB_MPOOLFILE

### See Also

Memory Pools and Related Methods, DB_ENV->set_region_dir()

Prev | Up | Next
DB_MPOOLFILE->get_priority() | Home | DB_MPOOLFILE->set_clear_len()